/*
 * InfoWindow.h
 *
 * Written by Matt Pauker
 */

#ifndef INFO_WINDOW_H
#define INFO_WINDOW_H

#ifndef SIG_VIEW_H
#include "SigView.h"
#endif

#ifndef LOCKABLE_LIST_H
#include "LockableList.h"
#endif

class InfoWindow : public BWindow
{
	B_DECLARE_CLASS_INFO(BWindow);
	public:
								InfoWindow(long topX, long topY);
								~InfoWindow();
					void	NextFocus();
					void	AddRef(record_ref ref);
					void  AddRefsInDir(record_ref dirRef, bool doRecursively);
	virtual void	MessageReceived(BMessage *message);
	virtual bool	FilterMessageDropped(BMessage *message, BPoint point, BView **target);
					void	SaveFile(record_ref ref);
					bool	DoSave();
	virtual bool	QuitRequested();
					bool	HasRef(record_ref theRef);
					void	Mark(record_ref ref);
					void	SetChanged(bool flag);
					void	ResetSigs();
					
	protected:
					ulong	savedType, savedApp;
	SignatureView	*typeView, *appView;
			BMenuBar	*menuBar;
					BMenu *filesMenu;
	LockableList	*refList;
};

#endif